<?
$___notjson=1;
require_once "configdops.php";
$site = str_replace("http://", "", $site);
$site = str_replace("www.", "", $site);
$site2 = str_replace("http://", "", $site2);
$site2 = str_replace("www.", "", $site2);

$refer = $_SERVER['HTTP_REFERER']; // откуда идет вызов функции
$refer = str_replace("www.", "", $refer); // вырезаем www. из реферера
$domain = substr($refer, 7, strlen($site)); // переменная $домен равна рефереру, начиная с 7 символа (т.е. http:// вырезается), с количеством символов, равным количеству символов в переменной $site
$domain2 = substr($refer, 7, strlen($site2));
if($domain == $site or $domain2 == $site2)
{

$idmateriala = (int)$_GET['id'];
$idmodul = addslashes($_GET['mod']);
switch ($idmodul) {
case "load":
    $module = 'load';
    break;
case "news":
    $module = 'news';
    break;
case "blog":
    $module = 'blog';
    break;
case "publ":
    $module = 'publ';
    break;
case "stuff":
    $module = 'stuff';
    break;
}
$lines = file('./configs/' . $module . '.txt');

$papka = $idmateriala/500;
$papkatsel = (int)$papka;
$line = file('./'.$module.'/'.$papkatsel.'/'.$idmateriala.'.txt');


foreach ($line as $line_num => $lin) {
        trim($lin);
        list ($pole, $title) = split("\t",$lin);
		$arrfile[$pole] = ereg_replace ("<br>", "\n", $title);
}
	echo "<div id='additional_fields'><b>Дополнительная информация:</b><br>\n";
	if(count($lines) > 0) {	
	$i=0;
	foreach ($lines as $line_num => $line) {
        trim($line);
        list ($act, $pole, $title) = split("\t",$line);
		$i=$i+1;
		if ($act == 'a') {
			echo "<b>".stripslashes($title)."</b><div>".htmlspecialchars(stripslashes($arrfile[$pole]), ENT_QUOTES)."</div><br>\n";
			}
	}
	}
echo '</div>';
}
?>